package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclPractitionerHiringPersonalStatements;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AclPractitionerHiringPersonalStatementsMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclPractitionerHiringPersonalStatements record);

    int insertSelective(AclPractitionerHiringPersonalStatements record);

    AclPractitionerHiringPersonalStatements selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclPractitionerHiringPersonalStatements record);

    int updateByPrimaryKey(AclPractitionerHiringPersonalStatements record);

    int updateBatch(List<AclPractitionerHiringPersonalStatements> list);

    int updateBatchSelective(List<AclPractitionerHiringPersonalStatements> list);

    int batchInsert(@Param("list") List<AclPractitionerHiringPersonalStatements> list);

    List<AclPractitionerHiringPersonalStatements> selectByHiringBasicInfoId(Long hiringBasicInfoId);

    void deleteBatchByIds(List<AclPractitionerHiringPersonalStatements> resultList);
}